Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class PacketChannelManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.PacketChannelManager

    public class PacketChannelManager
    extends java.lang.Object

Менеджер пакетчанелов.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PacketChannelManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deletePacketChannel​(int id)` |
  `void` | `deletePacketChannels​(int packetId)` | Удаление всех PacketChannel для пакета.
  `PacketChannel` | `getPacketChannelById​(int id)` |
  `java.util.List<PacketChannel>` | `getPacketChannelList​(int packetID)` |
  `java.util.List<PacketChannel>` | `getPacketChannelList​(java.util.Calendar date)` |
  `void` | `updatePacketChannel​(PacketChannel packetChannel)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PacketChannelManager

    public PacketChannelManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### deletePacketChannels

    public void deletePacketChannels​(int packetId) throws ru.bitel.bgbilling.common.BGException
    Удаление всех PacketChannel для пакета.
    Parameters:
      `packetId` - ид пакета.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deletePacketChannel

    public void deletePacketChannel​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updatePacketChannel

    public void updatePacketChannel​(PacketChannel packetChannel) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketChannelById

    public PacketChannel getPacketChannelById​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketChannelList

    public java.util.List<PacketChannel> getPacketChannelList​(int packetID) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketChannelList

    public java.util.List<PacketChannel> getPacketChannelList​(java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`